FreeMat

- Main Page
- Related Pages

vtkPolyDataWriter

Section: Visualization Toolkit IO Classes

# Usage

vtkPolyDataWriter is a source object that writes ASCII or binary polygonal data files in vtk format. See text for format details.

To create an instance of class vtkPolyDataWriter, simply invoke its constructor as follows

      obj = vtkPolyDataWriter

# Methods

The class vtkPolyDataWriter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPolyDataWriter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPolyDataWriter = obj.NewInstance ()`
- `vtkPolyDataWriter = obj.SafeDownCast (vtkObject o)`
- `vtkPolyData = obj.GetInput ()` - Get the input to this writer.
- `vtkPolyData = obj.GetInput (int port)` - Get the input to this writer.